Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 2.4.0dev (2016-05-24 trunk 55139)

[x86_64-cygwin]

Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED

Description

I get the following error when compiling ruby on cygwin:

compiling win32ole.c

In file included from win32ole.h:3:0,

                 from win32ole.c:18:

win32ole.c: In function ‘fole_initialize’:

../.././include/ruby/ruby.h:2224:36: error: call to ‘rb_scan_args_bad_format’ declared with attrib

ute error: bad scan arg format

       /(rb_scan_args_valid_p(fmt)||rb_scan_args_bad_format(fmt))) \

                                    ^

../.././include/ruby/ruby.h:2236:8: note: in expansion of macro ‘rb_scan_args_verify’

        rb_scan_args_verify(fmt, varc), vars)

        ^

../.././include/ruby/ruby.h:2156:9: note: in expansion of macro ‘rb_scan_args0’

         rb_scan_args0(argc,argv,fmt,(sizeof((VALUE*[]){__VA_ARGS__})/sizeof(VALUE*)),((VALUE*[]){

__VA_ARGS__})), \

         ^

win32ole.c:2448:5: note: in expansion of macro ‘rb_scan_args’

     rb_scan_args(argc, argv, "11*", &svr_name, &host, &others);

     ^

win32ole.c: At top level:

cc1: warning: unrecognized command line option ‘-Wno-self-assign’

cc1: warning: unrecognized command line option ‘-Wno-constant-logical-operand’

cc1: warning: unrecognized command line option ‘-Wno-parentheses-equality’

cc1: warning: unrecognized command line option ‘-Wno-tautological-compare’

Makefile:256: recipe for target 'win32ole.o' failed

make[2]: *** [win32ole.o] Error 1

make[2]: Leaving directory '/cygdrive/c/Data/ruby/ext/win32ole'

exts.mk:259: recipe for target 'ext/win32ole/all' failed

make[1]: *** [ext/win32ole/all] Error 2

make[1]: Leaving directory '/cygdrive/c/Data/ruby'

uncommon.mk:204: recipe for target 'build-ext' failed

make: *** [build-ext] Error 2

Associated revisions

Revision c7bc778ddea75a3608b911c5412030171590466a - 05/25/2016 08:11 AM - nobu (Nobuyoshi Nakada)

ruby.h: rb_scan_args_validate

include/ruby/ruby.h (rb_scan_args_validate): move failed

condition to the terminal.  [ruby-core:75714] [Bug #12426]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55158 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c7bc778d - 05/25/2016 08:11 AM - nobu (Nobuyoshi Nakada)

ruby.h: rb_scan_args_validate

include/ruby/ruby.h (rb_scan_args_validate): move failed

condition to the terminal.  [ruby-core:75714] [Bug #12426]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55158 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 05/25/2016 08:11 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r55158.

ruby.h: rb_scan_args_validate

include/ruby/ruby.h (rb_scan_args_validate): move failed

condition to the terminal.  [ruby-core:75714] [Bug #12426]

#2 - 06/08/2016 05:35 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED
